Marketplace Agreements - Create
구독에서 Confluent Marketplace 계약을 만듭니다.
PUT https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Confluent/agreements/default?api-version=2024-07-01
URI 매개 변수
| Name | In(다음 안에) | 필수 | 형식 | Description |
|---|---|---|---|---|
|
subscription
|
path | True |
string (uuid) |
대상 구독의 ID입니다. 값은 UUID여야 합니다. |
|
api-version
|
query | True |
string minLength: 1 |
이 작업에 사용할 API 버전입니다. |
요청 본문
| Name | 형식 | Description |
|---|---|---|
| properties.accepted |
boolean |
약관의 버전이 수락된 경우 그렇지 않으면 false입니다. |
| properties.licenseTextLink |
string |
Microsoft 및 Publisher 용어를 사용하여 HTML에 연결합니다. |
| properties.plan |
string |
계획 식별자 문자열입니다. |
| properties.privacyPolicyLink |
string |
게시자의 개인 정보 취급 방침에 연결합니다. |
| properties.product |
string |
제품 식별자 문자열입니다. |
| properties.publisher |
string |
게시자 식별자 문자열입니다. |
| properties.retrieveDatetime |
string (date-time) |
조건이 수락된 날짜 및 시간(UTC)입니다. Accepted가 false이면 비어 있습니다. |
| properties.signature |
string |
용어 서명입니다. |
응답
| Name | 형식 | Description |
|---|---|---|
| 200 OK |
요청이 성공했습니다. |
|
| Other Status Codes |
예기치 않은 오류 응답입니다. |
보안
azure_auth
Azure Active Directory OAuth2 흐름.
형식:
oauth2
Flow:
implicit
권한 부여 URL:
https://login.microsoftonline.com/common/oauth2/authorize
범위
| Name | Description |
|---|---|
| user_impersonation | 사용자 계정 가장 |
예제
MarketplaceAgreements_Create
샘플 요청
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.Confluent/agreements/default?api-version=2024-07-01
샘플 응답
{
"name": "default",
"type": "Microsoft.Confluent/agreements",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.Confluent/agreements/default",
"properties": {
"accepted": true,
"licenseTextLink": "test.licenseLink1",
"plan": "planid1",
"privacyPolicyLink": "test.privacyPolicyLink1",
"product": "offid1",
"publisher": "pubid1",
"retrieveDatetime": "2020-11-05T17:33:07.12132Z",
"signature": "YKWOQOKH2BCKZ46O7SCKHANWEENRFRU5WB4LXDFUYWCBWTS4AG4SGQXCOZYIR5ZJCZTXRMZKYZMO2BJSL5YKPLAR4LBFRUNS6CRYE7A"
},
"systemData": {
"createdAt": "2020-05-09T14:28:47.284Z",
"createdBy": "string",
"createdByType": "User",
"lastModifiedAt": "2020-05-09T14:28:47.284Z",
"lastModifiedBy": "string",
"lastModifiedByType": "User"
}
}
정의
| Name | Description |
|---|---|
|
Confluent |
계약 조건 정의 |
|
created |
리소스를 만든 ID의 형식입니다. |
|
Error |
오류의 응답 본문 |
|
Resource |
리소스 공급자에 대한 기본 오류 응답 |
|
system |
리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다. |
ConfluentAgreementResource
계약 조건 정의
| Name | 형식 | Description |
|---|---|---|
| id |
string |
리소스의 ARM ID입니다. |
| name |
string |
규약의 이름입니다. |
| properties.accepted |
boolean |
약관의 버전이 수락된 경우 그렇지 않으면 false입니다. |
| properties.licenseTextLink |
string |
Microsoft 및 Publisher 용어를 사용하여 HTML에 연결합니다. |
| properties.plan |
string |
계획 식별자 문자열입니다. |
| properties.privacyPolicyLink |
string |
게시자의 개인 정보 취급 방침에 연결합니다. |
| properties.product |
string |
제품 식별자 문자열입니다. |
| properties.publisher |
string |
게시자 식별자 문자열입니다. |
| properties.retrieveDatetime |
string (date-time) |
조건이 수락된 날짜 및 시간(UTC)입니다. Accepted가 false이면 비어 있습니다. |
| properties.signature |
string |
용어 서명입니다. |
| systemData |
리소스 만들기 및 마지막 수정과 관련된 메타데이터 |
|
| type |
string |
규약의 형식입니다. |
createdByType
리소스를 만든 ID의 형식입니다.
| 값 | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorResponseBody
오류의 응답 본문
| Name | 형식 | Description |
|---|---|---|
| code |
string |
오류 코드 |
| details |
오류 세부 정보 |
|
| message |
string |
오류 메시지 |
| target |
string |
오류 대상 |
ResourceProviderDefaultErrorResponse
리소스 공급자에 대한 기본 오류 응답
| Name | 형식 | Description |
|---|---|---|
| error |
오류의 응답 본문 |
systemData
리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다.
| Name | 형식 | Description |
|---|---|---|
| createdAt |
string (date-time) |
리소스 만들기의 타임스탬프(UTC)입니다. |
| createdBy |
string |
리소스를 만든 ID입니다. |
| createdByType |
리소스를 만든 ID의 형식입니다. |
|
| lastModifiedAt |
string (date-time) |
리소스 마지막 수정의 타임스탬프(UTC) |
| lastModifiedBy |
string |
리소스를 마지막으로 수정한 ID입니다. |
| lastModifiedByType |
리소스를 마지막으로 수정한 ID의 형식입니다. |